> For the complete documentation index, see [llms.txt](https://docs.openwowi.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.openwowi.de/schnittstelle-v1.x/auftragswesen/auftraege.md).

# Aufträge

{% hint style="danger" %}
Die Endpunkte der Version 1.2 sind momentan in der Entwicklung und können noch Änderungen erfahren.
{% endhint %}

## Aufträge abrufen

#### Version 1.0

***

{% openapi src="<https://application-test.wowiport.de/swagger/openwowi_v1.0/swagger.json>" path="/openwowi/v1.0/Commissioning/Commissions" method="get" %}
<https://application-test.wowiport.de/swagger/openwowi_v1.0/swagger.json>
{% endopenapi %}

***

#### Version 1.2

***

{% openapi src="<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>" path="/openwowi/v1.2/CommissioningRead/Commissions" method="get" %}
<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>
{% endopenapi %}

***

## Aufträge anlegen

<details>

<summary>Hinweise zur Funktion</summary>

Es können mehrere Aufträge mit einem Vorgang verknüpft werden.

Wenn einem Auftrag die "Adresse" fehlt, dann benötigt der Auftrag mehr als eine Wirtschaftseinheit. In diesem Fall muss mindestens eine Entität angegeben werden, welche auf ein Gebäude/Grundstück zurückzuführen ist (z.B. BuildingId, UseUnitId oder LicenseAgreementId).

Die Auftragsstatus der Auftragsarten sind durch den Kunden frei definierbar. Für jede Auftragsart muss deshalb der Auftragsstatusverlauf individuell geplant werden. Den Verlauf des Status finden Sie im Katalog "CommissionTypes" wenn Sie den Parameter "includeCommissionControl=true" mitsenden.

Im selben Katalog finden Sie auch alle Pflichtfelder, welche zur Auftragsart zusätzlich definiert wurden.

</details>

#### Version 1.2

Aufträge im Status "Erfasst" anlegen

***

{% openapi src="<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>" path="/openwowi/v1.2/CommissioningEdit/Commission" method="post" %}
<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>
{% endopenapi %}

***

Aufträge im Status "Warte auf Annahme" anlegen

***

{% openapi src="<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>" path="/openwowi/v1.2/CommissioningEdit/Commission/WaitForCraftsmanFeedback" method="post" %}
<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>
{% endopenapi %}

***

## Ändern des Auftragsstatus

#### Version 1.2

Ändern auf "Angenommen"

***

{% openapi src="<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>" path="/openwowi/v1.2/CommissioningEdit/Commission/{commissionId}/Accepted" method="put" %}
<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>
{% endopenapi %}

***

Ändern auf "Abgelehnt"

***

{% openapi src="<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>" path="/openwowi/v1.2/CommissioningEdit/Commission/{commissionId}/Refused" method="put" %}
<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>
{% endopenapi %}

***

Ändern auf "Erledigt"

***

{% openapi src="<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>" path="/openwowi/v1.2/CommissioningEdit/Commission/{commissionId}/Done" method="put" %}
<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>
{% endopenapi %}

***

Ändern auf "An Handwerkerportal übertragen"

***

{% openapi src="<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>" path="/openwowi/v1.2/CommissioningEdit/Commission/{commissionId}/Imported" method="put" %}
<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>
{% endopenapi %}

***

Ändern auf "Rechnungseingang erwartet"

***

{% openapi src="<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>" path="/openwowi/v1.2/CommissioningEdit/Commission/{commissionId}/AwaitInvoice" method="put" %}
<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>
{% endopenapi %}

***

Ändern auf "Storniert"

***

{% openapi src="<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>" path="/openwowi/v1.2/CommissioningEdit/Commission/{commissionId}/Canceled" method="put" %}
<https://openwowi-demo.wowiport.de/swagger/openwowi_v1.2/swagger.json>
{% endopenapi %}

***

## Enumerator für "CommissionStatus" und "Id"

| Id | Code                     | Deutsch                        |
| -- | ------------------------ | ------------------------------ |
| 1  | EffortRecording          | Leistungserfassung             |
| 2  | CommissionRecorded       | Erfasst                        |
| 3  | CommissionPlaced         | Auftragsvergabe                |
| 4  | ApprovalRequired         | Freigabe erforderlich          |
| 6  | Approved                 | Freigegeben                    |
| 7  | Accepted                 | Angenommen                     |
| 8  | Refused                  | Abgelehnt                      |
| 9  | Done                     | Erledigt                       |
| 10 | Suspended                | Aussetzen                      |
| 11 | AwaitInvoice             | Rechnungseingang erwartet      |
| 12 | WaitForCraftsmanFeedback | Warte auf Annahme              |
| 13 | Canceled                 | Storniert                      |
| 14 | InvoiceRecorded          | Rechnung erfasst               |
| 15 | PartSettled              | Teilabgerechnet                |
| 16 | CraftsmanPortalImported  | An Handwerkerportal übertragen |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.openwowi.de/schnittstelle-v1.x/auftragswesen/auftraege.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
